org.codehaus.plexus.metadata

## Class SourceComponentDescriptorExtractor

- java.lang.Object
- - org.codehaus.plexus.metadata.ComponentDescriptorExtractorSupport
  - - org.codehaus.plexus.metadata.SourceComponentDescriptorExtractor

All Implemented Interfaces:
  ComponentDescriptorExtractor

    public class SourceComponentDescriptorExtractor
    extends ComponentDescriptorExtractorSupport

Extracts `ComponentDescriptor` from source files.

Version:
  $Rev: 8174 $ $Date: 2009-05-11 17:15:23 +0200 (lun. 11 mai 2009) $

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.ComponentDescriptorExtractor

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SourceComponentDescriptorExtractor()`
`SourceComponentDescriptorExtractor(SourceComponentGleaner gleaner)`

### Method Summary

Methods
`java.util.List<ComponentDescriptor<?>>` `extract(MetadataGenerationRequest configuration, ComponentDescriptor<?>[] roleDefaults)`

### Methods inherited from class org.codehaus.plexus.metadata.ComponentDescriptorExtractorSupport

`applyDefaults, getDefaultsByRole`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceComponentDescriptorExtractor

    public SourceComponentDescriptorExtractor()

#### SourceComponentDescriptorExtractor

    public SourceComponentDescriptorExtractor(SourceComponentGleaner gleaner)

### Method Detail

#### extract

    public java.util.List<ComponentDescriptor<?>> extract(MetadataGenerationRequest configuration,
                                                 ComponentDescriptor<?>[] roleDefaults)
                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`